<?
include '../config.php';
include '../func.php';

head();
aut();
ban();
####################Запись онлайна##################
mysql_query("UPDATE `profile` SET `online` = 'magaz' WHERE `id` = '".$id_session."'");
####################################################
////////////////////////////////////////
echo head . "<b>Магазин</b>" . div;

if ( $_GET['res'] == 'good' ) {
    echo katalog . 'Ник изменен' . div;
}

if ( $_GET['res'] == 'error' ) {
    echo katalog . 'Возникла ошибка' . div;
}
//////////////////////
if ( $_GET['res'] == 'error' AND $_GET['m'] == 1 ) {
    echo katalog . 'Вы не ввели ник' . div;
}

if ( $_GET['res'] == 'error' AND $_GET['m'] == 2 ) {
    echo katalog . 'Данный ник уже занят' . div;
}



echo katalog . 'Смена ника' . div;

echo link2 . 'Ваш ник: '.colorl($id_session).'<br/ >У вас монет: '.$many_session.'' .div;


if (isset($_GET['result'])) {
    
        $login = html($_POST['login']);
    
    if ( empty($login) ) $err = 'Вы не ввели ник';
     mysql_query ("Select * from profile WHERE login = '".$login."'");
    if(mysql_affected_rows()!=0) $err = 'Данный ник занят';
    if ( strlen($login) > 20 AND strlen($login) < 4 ) $err = 'Не верная длина логина';
    if ( is_numeric($login) ) $err = 'Ошибка, логин не должен состоять только из цифр';
    
    if (isset($err)) {
        echo link1 . $err . div;
    } else {
    $many = $many_session - $login_cena;
    mysql_query("UPDATE `profile` SET `many` = '".$many."' WHERE `id` = '".$id_session."'");
    
    
    $result = mysql_query("UPDATE `profile` SET `login` = '".$login."' WHERE `id` = '".$id_session."'");
    
    if ( $result != NULL ) {
        echo rew('login.php?res=good');
    } else {
        echo rew('login.php?res=error');
    }
    }
    
}
echo katalog . 'Цена смена ника: '.$login_cena.' монет(а)<br/ >';

if ( $many_session < $login_cena) {
    echo 'У вас не достаточно средств<br/ >';
} else {
    echo '<form action="login.php?result" method="post" name="form">
    max 20<br/ >
    <input name="login" type="text" maxlength="20" /><br/ >
    <input name="submit" type="submit"  class="button" value="Изменить" /></form>' . div;
}

//////////////////////////////////////

pod_navig();
foot();
?>